<!-- hide script from old browsers
//Script by Qirien Dhaela, http://www.geocities.com/Area51/Corridor/2451/index.html, qirien@earthling.net
//This script may be used for nonprofit, non-commercial, or educational use as long as these
//comment lines remain intact and the basic script is not changed.

// See also http://www.htmlgoodies.com/tutors/webring.html

// The sites in the Webring
/////////////////////////////////////////////////////////////////////
sites = new Array()
sites [1] = "http://members.iinet.net.au/~daveb/simplex/simplex.html"
sites [2] = "http://www.homebrewcpu.com/"
sites [3] = "http://www.holmea.demon.co.uk/Mk1/Architecture.htm"
sites [4] = "http://www.timefracture.org/D16.html"
sites [5] = "http://tripu.triphoenix.de/Main_Page"
sites [6] = "http://www.6502.org/users/dieter/"
sites [7] = "http://cpuville.com/index.htm"
sites [8] = "http://www.diycalculator.com/sp-hrrgcomp.shtml"
sites [9] = "http://www.mycpu.eu"
sites[10] = "http://www.galacticelectronics.com/Simple4BitCPU.HTML"
sites[11] = "http://web.cecs.pdx.edu/~harry/Relay/index.html"
sites[12] = "http://wiesi.dyndns.org/4bit/index.html"
sites[13] = "http://www.ibmsystem3.nl/hjs22/"
sites[14] = "http://www.wellytop.com/Fnagaton/DIYComputer.html"
sites[15] = "http://k1.dyndns.org/Develop/Hardware/K1-Computer/"
sites[16] = "http://www.schlaefendorf.de/relaisrechner/dokumentation/index.html"
sites[17] = "http://www.nablaman.com/relay/"
sites[18] = "http://web.mac.com/teisenmann/iWeb/elitepage/menu.html"
sites[19] = "http://www.bigbit.com/bigbit/BIGBITComputer.htm"
sites[20] = "http://www.armandoacosta.com/cpu/index.php"
sites[21] = "http://marc.cleave.me.uk/cpu/index.htm"
sites[22] = "http://web.mac.com/teisenmann/iWeb/adeptpage/menu.html"
sites[23] = "http://www.praxibetel.org/toro/toro.html"
sites[24] = "http://alessiolombardo.altervista.org/ttlcomputer/index.htm"
sites[25] = "http://www.pilawa.org/computer/"
sites[26] = "http://www.bigmessowires.com/bmow1/"
            
// Sites commented out due to broken links
            
/////////////////////////////////////////////////////////////////

var max=sites.length-1, place=0

function findthis() {
// find which site the user is currently on
  thisURL=document.URL;
  for (var i=1; i<=max; i++){
    if (thisURL==sites[i])
//      if (thisURL.split("/")[2]==sites[i].split("/")[2])
      place=i;
  }
}

function go(where) {
// go to a site
  location = sites[where];
}

function next() {
// go to the next site
  findthis();
  if (place==max)
    place=1;
  else
    place=place+1;
  go(place);
}

function previous() {
// go to the previous site
  findthis();
  if (place<=1)
    place=max;
  else
    place=place-1;
  go(place);
}

function getRandom() {
// get a random number
  return Math.random()
}

function random() {
// go to a random site
  findthis();
  myrand=Math.round(getRandom()*(max));
  if ((place==myrand) || (myrand==0))
    random();
  else {
    place=myrand;
    go(place);
  }
}
 
// end hiding script from old browsers -->
